<?php

declare(strict_types=1);

namespace Plugin\cin_autocurrency_5;

require_once __DIR__.'/vendor/autoload.php';

use JTL\Plugin\Bootstrapper;

final class Bootstrap extends Bootstrapper
{
  public function updated($oldVersion, $newVersion): void
  {
    $this->unsetSession();
  }

  public function uninstalled(bool $deleteData = true): void
  {
    $this->unsetSession();
  }

  private function unsetSession(): void
  {
    unset(
      $_SESSION["{$this->getPlugin()->getPluginID()}_versionResponse"],
      $_SESSION["{$this->getPlugin()->getPluginID()}_productHomepage"]
    );
  }
}
