<?php

declare(strict_types=1);

namespace Plugin\cin_autocurrency_5\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

final class Migration20231006100807 extends Migration implements IMigration
{
  public function up(): void
  {
    $this->execute('SELECT kWaehrung
INTO @defaultCurrency
FROM twaehrung t
WHERE t.cStandard = "Y";

TRUNCATE TABLE `xplugin_cin_autocurrency_regions_currencies`;

INSERT
INTO xplugin_cin_autocurrency_regions_currencies
(region_code, kWaehrung)
VALUES
("eu", @defaultCurrency), ("other", @defaultCurrency);');
  }

  public function down(): void
  {
    if ($this->doDeleteData()) {
      $this->execute('TRUNCATE TABLE `xplugin_cin_autocurrency_regions_currencies`');
    }
  }
}
