<?php

declare(strict_types=1);

require_once __DIR__.'/../src/warmup.php';

$stmt = $P->getPDO()->prepare('SELECT COUNT(country_code) FROM xplugin_cin_ip2location_db1');
$stmt->execute();
$ipv4Count = $stmt->fetchColumn();

$stmt = $P->getPDO()->prepare('SELECT COUNT(country_code) FROM xplugin_cin_ip2location_db1_ipv6');
$stmt->execute();
$ipv6Count = $stmt->fetchColumn();

$smarty->assign('ipv4Count', $ipv4Count);
$smarty->assign('ipv6Count', $ipv6Count);
$smarty->assign('lastupdate', file_exists(__DIR__.'/../src/datasourceupdated') ? date('d.m.Y \u\m H:i:s', filemtime(__DIR__.'/../src/datasourceupdated')) : '---');

$smarty->assign('xhrURL', $P->getJTlPlugin()->getPaths()->getAdminURL().'xhr.php');
$smarty->assign('assetURL', $P->getJTlPlugin()->getPaths()->getAdminURL());
$smarty->display(__DIR__.'/template/ipdatasource.tpl');
