<?php

declare(strict_types=1);

require __DIR__.'/../../src/warmup.php';

$stmt = $P->getPDO()->prepare('SELECT(SELECT COUNT(country_code) FROM xplugin_cin_ip2location_db1) * (SELECT COUNT(country_code) FROM xplugin_cin_ip2location_db1_ipv6)');
$stmt->execute();
$ipCount = $stmt->fetchColumn();

if (0 === (int) $ipCount) {
  pq('#content-wrapper .container')->prepend($smarty->fetch(__DIR__.'/../template/initializeplease.tpl'));
} else {
  $content = ' This site or product includes IP2Location LITE data available from <a href="https://lite.ip2location.com" class="text-white text-decoration-underline" target="_blank" rel="noopener nofollow"> https://lite.ip2location.com </a>, ';
  if (\count(pq('#system-credits')) > 0) {
    pq('#system-credits')->prepend($content);
  } else {
    pq('#footer')->append('<div class="text-right" style="padding-right: 15px;">'.$content.'</div>');
  }
}
