<?php

declare(strict_types=1);

namespace Plugin\cin_autocurrency_5\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

final class Migration20230510121700 extends Migration implements IMigration
{
  public function up(): void
  {
    $this->execute('CREATE TABLE IF NOT EXISTS `xplugin_cin_autocurrency_countries_currencies` (
  `country_code` char(2) NOT NULL,
  `kWaehrung` int(11) NOT NULL,
  UNIQUE KEY `country_code` (`country_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci');
  }

  public function down(): void
  {
    if ($this->doDeleteData()) {
      $this->execute('DROP TABLE IF EXISTS xplugin_cin_autocurrency_countries_currencies');
    }
  }
}
