<?php

declare(strict_types=1);

namespace Plugin\cin_autocurrency_5\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

final class Migration20231006090934 extends Migration implements IMigration
{
  public function up(): void
  {
    $this->execute('CREATE TABLE IF NOT EXISTS `xplugin_cin_autocurrency_regions_currencies` (
	`region_code` char(5) NOT NULL,
	`kWaehrung` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci');
  }

  public function down(): void
  {
    if ($this->doDeleteData()) {
      $this->execute('DROP TABLE IF EXISTS `xplugin_cin_autocurrency_regions_currencies`');
    }
  }
}
