{if $ipv4Count == 0 || $ipv6Count == 0}
  {include './initializedatasources.tpl'}
{/if}
<div class="panel panel-default" id="ipdatasource">
  <div style="padding:10px;">
    <div class="row">
      <div class="col-xs-6">
        <dl class="">
          <dt>IPv4</dt>
          <dd class="v4">{$ipv4Count} Datens&auml;tze</dd>
          <dt>IPv6</dt>
          <dd class="v6">{$ipv6Count} Datens&auml;tze</dd>
          <dt>letzte Aktualisierung</dt>
          <dd class="lastupdate">{$lastupdate}</dd>
        </dl>
      </div>
      <div class="col-xs-6">
        <button class="btn btn-primary updatenow" data-url="{$xhrURL}">Datenquelle jetzt aktualisieren</button>
        <pre class="output" id="output"></pre>
        <div class="progressframe">
          <div class="progressbar"></div>
        </div>
        <div class="spin"></div>
      </div>
    </div>
  </div>
</div>
<link rel="stylesheet" href="{$assetURL}css/ipdatasource.css">
<script src="{$assetURL}js/ipdatasource.js" charset="utf-8"></script>
